### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.8 | V0.0.1 | Campbell | 新增Staff-Department-Selector组件

<br><br/>
### 2.安装方式
<code>
npm install irs-staff-department-selector
</code>

<br><br/><br><br/>
### 3. 调用方式

```jsx
class Demo extends React.Component {
    constructor() {
        super()
        this.state = {
            departmentList: [{
                departmentId:0,
                text:'测试新企业A',
                children:[{
                    departmentId: 1,
                    text:'技术部',
                    children:[]},
                    {departmentId: 2,
                    text:'人事行政部',
                    children:[{
                        departmentId: 3,
                        text:'组织部'}
                    ]}]}],
            staffList:[],
            value:[]
        }
        this.onChange = this.onChange.bind(this); 
        this.log = this.log.bind(this); 
    }

    onChange(data,id) {
        const list = data;
        let staffList = [];
        list.map((value,index) => {
            staffList.push(value);
        })
        this.setState({
            staffList,
            value:id
        })
    }
    log(e,data) {
        const staffList = this.state.staffList;
        const staffListA = [];
        const idList = this.state.value;
        const idListA = [];
        staffList.map((value) => {
            if(data != value.key) {
                staffListA.push(value);
            }
        })
        idList.map((value) => {
            if(data != value) {
                idListA.push(value);
            }
        })
        this.setState({
            staffList:staffListA,
            value:idListA
        })
    }
    render() {
        const {staffList,value} = this.state
        return (
            <div className="App">
                {staffList.map((value,index) => (
                // <div key={index}
                // style={{display:'inline-block',
                // height:'26px',lineHeight:'26px',
                // backgroundColor:'#19aa8d',textAlign:'center',padding:'0 20px',borderRadius:'3px',
                // marginLeft:'10px',marginBottom:'5px'}}>{value.staffName}</div>
                <IrsTag text={value.title} closable={true} onClose={this.log} key={index} id={value.key}/>
                ))}
                <IrsStaffAndDepartmentSelector 
                onChange={this.onChange} value={value}/>
            </div>
        )
    }
};
<Demo/>
```