import * as React from "react";
import { IPropsInterface } from "./src/module";
import { TransferDirection } from 'antd/lib/transfer';

export default class IrsTransfer extends React.Component<IPropsInterface, any> {
    constructor(props: IPropsInterface);
    componentDidMount(): void;
    onChange?: (targetKeys: string[], direction: string, moveKeys: any) => void;
    onSelectChange?: (sourceSelectedKeys: string[], targetSelectedKeys: string[]) => void;
    onSearchChange?: (direction: TransferDirection, e: React.ChangeEvent<HTMLInputElement>) => void;
    onScroll?: (direction: TransferDirection, e: React.SyntheticEvent<HTMLDivElement>) => void;
    render(): JSX.Element;
}