### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.08 | V0.0.1 | Reci | 新增alert组件

<br><br/>
### 2.安装方式
<code>
npm install irs-alert
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 四种样式
#### message ：提示的内容   type:指定警告提示的样式，有四种选择 success、info、warning、error
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
          <IrsAlert message="Success Text" type="success"/>
        </IrsRow>
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
          <IrsAlert message="Info Text" type="info" />
        </IrsRow>
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
           <IrsAlert message="Warning Text" type="warning"/>
        </IrsRow>
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
           <IrsAlert message="Error Text" type="error"/>
        </IrsRow>
  </div>
```

#### 带图标:
#### 可口的图标让信息类型更加醒目  showIcon：是否显示辅助图标 默认值为 false
```jsx
;<div className="App">
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
       <IrsAlert message="Success Tips" type="success" showIcon/>
    </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
      <IrsAlert message="Informational Notes" type="info" showIcon />
    </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
       <IrsAlert message="Warning" type="warning" showIcon />
     </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
       <IrsAlert message="Error" type="error" showIcon />
    </IrsRow>

     <br />
     <p >警告提示的辅助性文字介绍： description</p>

    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
        <IrsAlert 
          message="Success Tips"
          description="Detailed description and advices about successful copywriting."
          type="success"
          showIcon
        />
    </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
        <IrsAlert
          message="Informational Notes"
          description="Additional description and informations about copywriting."
          type="info"
          showIcon
        />
    </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
        <IrsAlert
          message="Warning"
          description="This is a warning notice about copywriting."
          type="warning"
          showIcon
        />
    </IrsRow>
    <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
        <IrsAlert
          message="Error"
          description="This is an error message about copywriting."
          type="error"
          showIcon
        />
    </IrsRow>
  </div>
```

#### 自定义关闭按钮: closeText
#### 可以自定义关闭，自定义的文字会替换原先的关闭 Icon
```jsx
const onClose = (e) => {
  console.log(e, 'I was closed.');
};
;<div className="App">
     <IrsAlert message="Info Text" type="info" closeText="Close Now" />

      <br />
      <p>onClose:  可关闭的警告提示
      <br />
     显示关闭按钮，点击可关闭警告提示
     </p>
     <IrsAlert
      message="Warning Text Warning Text Warning TextW arning Text Warning Text Warning TextWarning Text"
      type="warning"
      closable={true}
      onClose={onClose}
    />  

  </div>
```


