
export interface IPropsInterface {
    /** 设置头像的大小 */
    size?: 'large' | 'small' | 'default' | number;

    /** 指定头像的形状 */
    shape?: 'circle' | 'square';

    /** 设置头像的图标类型 */
    icon?: string;

    /** 图片类头像的资源地址 */
    src?: string;

    /** 图像无法显示时的替代文本 */
    alt?: string;


    style?: React.CSSProperties;

    className?: string;

    id?: string;

    children?: any;

    /** 图片加载失败的事件，返回 false 会关闭组件默认的 fallback 行为 */
    onError?: () => boolean;
}

