/**
 * The only true backtop.
 * @date 2018.12.15
 * @version 0.0.1
 * @author Reci.Lu
 */
import * as React from 'react';
import * as module from './module';
import { BackTop } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsBackTop extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        visibilityHeight: 400
    }
    constructor(props: module.IPropsInterface) {
        super(props);

    }

    render() {
        others(IrsBackTop.defaultProps, this.props);
        return (
            <BackTop
                {...this.props}
                className={this.props.className}
                style={this.props.style}
                visibilityHeight={this.props.visibilityHeight}
                target={this.props.target}
                onClick={this.props.onClick}
            >
                {
                    this.props.children
                }
            </BackTop>

        )
    }
}

export default IrsBackTop;
