
import { BackTopProps } from 'antd/lib/back-top';

export interface IPropsInterface extends BackTopProps {

    /** 设置需要监听其滚动事件的元素,值为一个返回对应 DOM 元素的函数 */
    target?: () => HTMLElement | Window;

    /** 滚动高度达到此参数值才出现BackTop */
    visibilityHeight?: number;

    /** 点击按钮的回调函数 */
    onClick?: React.MouseEventHandler<any>;

    className?: string;

    id?: any;

    style?: React.CSSProperties;

    children?: any;
}
