/**
 * The only true badge.
 * @date 2018.12.15
 * @version 0.0.1
 * @author Reci.Lu
 */
import * as React from 'react';
import * as module from './module';
import { Badge } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsBadge extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        dot: false,
        overflowCount: 99,
        showZero: false,
        title: 'count'
    }
    constructor(props: module.IPropsInterface) {
        super(props);
    }

    render() {
        others(IrsBadge.defaultProps, this.props);
        return (
            <Badge
                {...this.props}
                count={this.props.count}
                style={this.props.style}
                className={this.props.className}
                dot={this.props.dot}
                overflowCount={this.props.overflowCount}
                offset={this.props.offset}
                showZero={this.props.showZero}
                status={this.props.status}
                text={this.props.text}
                title={this.props.title}
            >
                {
                    this.props.children
                }
            </Badge>
        )
    }
}

export default IrsBadge;
