export declare type expandTriggerType = 'click' | 'hover';

export interface IPropsInterface {
    /** 自定义类名 */
    className?: string

    /** 自定义样式 */
    style?: {}
    
    /** 是否支持清除,默认支持 */
    allowClear?:boolean

    /** 点选每级菜单选项值都会发生变化，默认支持 */
    changeOnSelect?:boolean

    /** 次级菜单的展开方式，可选 'click' 和 'hover'，默认click */
    expandTrigger:expandTriggerType


}