import * as React from "react";
import { IPropsInterface } from "./src/module";
import * as moment from "moment";
export declare type RangePickerValue = undefined[] | [moment.Moment] | [undefined, moment.Moment] | [moment.Moment, moment.Moment];

export default class IrsDatePicker extends React.Component<IPropsInterface, any> {
    constructor(props: IPropsInterface);
    componentDidMount(): void;
    handleChange: (date: moment.Moment, dateString: string) => void;
    handleRangeChange: (dates: RangePickerValue, dateStrings: [string, string]) => void;
    handlePanelChange: (value?: RangePickerValue, mode?: string | string[]) => void;
    handleDisabledTime: (current: moment.Moment) => {
        disabledHours?: () => number[];
        disabledMinutes?: () => number[];
        disabledSeconds?: () => number[];
    };
    handleDisabledDate: (current: moment.Moment) => boolean;
    handleDateOnOk: (selectedTime: moment.Moment | RangePickerValue) => void;
    handleRangeOnOk: (selectedTime: moment.Moment | RangePickerValue) => void;
    handleOpenChange: (status: boolean) => void;
    render(): JSX.Element;
}