/**
 * The only true button.
 * @date 2018.12.1
 * @version 0.0.1
 * @author Danae.Zhang
 */
import * as React from 'react';
import * as module from './module';
import { Dropdown } from 'antd'
import { others } from 'fit-transmit-transparently';

class IrsDropdown extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {

    }
    
    constructor(props: module.IPropsInterface) {
        super(props);
    }

    render() {
        others(IrsDropdown.defaultProps, this.props);
        
        return (
            <Dropdown
                className={this.props.className}
                overlay={this.props.overlay}
                trigger={this.props.trigger}
                disabled={this.props.disabled}
                placement={this.props.placement}
            >{this.props.children}</Dropdown>
        )
    }
}

export default IrsDropdown;
