### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.1 | V0.0.1 | Danae | 新增Dropdown组件

<br><br/>
### 2.安装方式
<code>
npm install irs-dropdown
</code>

<br><br/><br><br/>
### 3. 调用方式
##### 基本用法
```jsx
const data = [
  {
    key: 0,
    text: '菜单1',
    title: '菜单1',
  },
  {
    key: 1,
    text: '菜单2',
    title: '菜单2',
    disabled: true
  },
  {
    key: 2,
    text: '菜单3',
    title: '菜单3'
  },
];
class IrsDropdownDemo extends React.Component {
  constructor() {
    super()
    this.state = {
    }
    this.handleClick = this.handleClick.bind(this)
  }

  handleClick(item, key, keyPath) {
    console.log(item, key, keyPath)
  }

  render() {
    const menu = (
      <IrsMenu dataSource={data} onClick={this.handleClick} />
    );
    return (
      <div className="App">
        <IrsRow>
          <IrsCol span={4}><IrsDropdown overlay={menu}><a>Hover me</a></IrsDropdown></IrsCol>
          <IrsCol span={4} offset={2}>
            <IrsDropdown overlay={menu} trigger="click"><a>Click me</a></IrsDropdown>
          </IrsCol>
        </IrsRow>
        
      </div>
    )
  }
};
<IrsDropdownDemo />

```
