/**
 * The only true datePicker.
 * @date 2018.11.27
 * @version 0.0.2
 * @author Gail.Chen
 */

import * as React from 'react';
// import * as classNames from 'classnames';
import * as module from './module';
import { Modal } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsModal extends React.Component<module.IPropsInterface,  any> {
    static defaultProps = {
    }
    public static modalFunc = (type:any, data:any) => {
        switch (type) {
            case 'confirm':
                Modal.confirm(data);
                break;
            case 'info':
                Modal.info(data);
                break;
            case 'success':
                Modal.success(data);
                break;
            case 'error':
                Modal.error(data);
                break;
            case 'warning':
                Modal.warning(data);
                break;
            default:
                break;
        }
    }
    constructor(props: module.IPropsInterface) {
        super(props);
    }
    handleOk = (e: React.MouseEvent<any>) => {
        if (this.props.onOk) {
            return this.props.onOk(e);
        }
    }
    handleCancel = (e: React.MouseEvent<any>) => {
        if (this.props.onCancel) {
            return this.props.onCancel(e);
        }
    }
    render() {
        others(IrsModal.defaultProps, this.props);
        const { 
            handleOk,
            handleCancel } = this;
        return (
            <Modal 
                {...this.props}
                title={this.props.title}
                visible={this.props.visible}
                onOk={handleOk}
                onCancel={handleCancel}
            >
                {this.props.content}
            </Modal>
        )
    }
} 

export default IrsModal;
