### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.15 | V0.0.1 | Jita | 新增popconfirm组件

<br><br/>
### 2.安装方式
<code>
npm install irs-popconfirm
</code>

<br><br/><br><br/>
### 3. 调用方式
#### 基础组件格式
```jsx
  function confirm(e) {
    console.log('yes');
  }

  function cancel(e) {
    console.log('no');
  }

  <div>
    <IrsPopconfirm
      title="你确定要删除这行内容吗？"
      onConfirm={confirm}
      onCancel={cancel}
      okText="确定"
      cancelText="取消"
    > 
      <a href="#">Delete</a>
    </IrsPopconfirm>
  </div>
```
### 设置title修改输入框的描述，设置okText修改确认按钮文字，设置cancelText修改取消按钮文字，默认中文
```jsx
  function confirm(e) {
    console.log('yes');
  }

  function cancel(e) {
    console.log('no');
  }

  <div>
    <IrsPopconfirm
      title="Are you sure delete this task？"
      onConfirm={confirm}
      onCancel={cancel}
      okText="yes"
      cancelText="no"
    > 
      <a href="#">Delete</a>
    </IrsPopconfirm>
  </div>
```





