export declare type ProgressType = 'line' | 'circle' | 'dashboard';
export declare type ProgressStatus = 'success' | 'exception' | 'active';

export interface IPropsInterface  {
    /** 进度条类型 */
    type?: ProgressType;
    /** 进度条状态 */
    status?: ProgressStatus;
    /** 进度条百分比 */
    percent?: number;
    /** 是否显示进度数值或状态图标 */
    showInfo?: boolean;
    /** 是否带有鼠标悬停后的文案提示 */
    isTip?: boolean;
    /** 鼠标悬停后的文案提示 */
    title?: string,
}

