/**
 * The only true progress.
 * @date 2018.12.14
 * @version 0.0.1
 * @author Amber.Yang
 */
import * as React from 'react';
import * as module from './module';
import { Progress } from "antd";
import { others } from 'fit-transmit-transparently';
import IrsTooltip  from '../../irs-tooltip/index';

class IrsProgress extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        type:"line",
        status:"",
        showInfo:true,
        percent:0,
        isTip:false
    }
    render() {
        others(IrsProgress.defaultProps, this.props);
        if(this.props.isTip){
            return (   
                <IrsTooltip
                 title={this.props.title}>
                    <Progress
                        type={this.props.type}
                        status={this.props.status}   
                        showInfo={this.props.showInfo}  
                        percent={this.props.percent}           
                    /> 
                </IrsTooltip>            
            )
        }
        return (
            <Progress
            type={this.props.type}
            status={this.props.status}   
            showInfo={this.props.showInfo}  
            percent={this.props.percent}           
        /> 
        )
       
    }
} 

export default IrsProgress;
