### 1.变更记录
变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.11.21 | V0.0.1 | Rebecca | 新增radio

<br><br/>
### 2.安装方式
<code>
npm install irs-radio
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 基本用法 简单的 radio
```jsx
<IrsRow type="flex" gutter="6">
    <IrsCol span="6">
       <IrsRadio checkText="radio"/>
    </IrsCol>
    <IrsCol span="6">
       <IrsRadio checkText="disable" disabled={true}/>
    </IrsCol>
</IrsRow>
 
```
#### 一组互斥的 radio
```jsx
const plainOptions = ['姓名', '性别', '国籍']; 
class IrsRadioDemo extends React.Component {
   constructor() {
      super();
      this.state = {
          value1: '姓名',
      }
      this.onRaioBoxGroupChange = this.onRaioBoxGroupChange.bind(this)
   }

   onRaioBoxGroupChange(event){
      console.log(event)
      this.setState({
         value1: event.target.value
      })
   }

   render() {
      return (
         <IrsRow type="flex" gutter="6">
            <IrsCol span="8">
               <IrsRadio 
                  isCompose={true} 
                  checkText="radio"
                  composeOpts={plainOptions} 
                  onChange={this.onRaioBoxGroupChange}
                  value={this.state.value1}
               />
            </IrsCol>
         </IrsRow>
      )
   }

}
;<IrsRadioDemo />

```




