### 1.变更记录
变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.11.21 | V0.0.1 | Rebecca | 新增select

<br><br/>
### 2.安装方式
<code>
npm install irs-select
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 基本用法 简单的 select
```jsx
const options = [{
   value:1,
   text:'jack'
},{
   value:2,
   text:'tom'
},{
   value:3,
   text:'rice'
},{
   value:4,
   text:'apple',
   disabled: true
}]
const options2 = [{
   value:1,
   text:'jack'
}]
const options3 = [
   <Option key='1' value='jack'>jack</Option>,
   <Option key='2' value='orange'>orange</Option>
   ]
;<IrsRow type="flex" gutter="6">
   <IrsCol span="8">
      <IrsSelect 
         lableText="选项："
         options={options} 
         style={{width:'200px'}} 
         defaultValue='tom'  
      />
   </IrsCol>
   <IrsCol span="8">
      <IrsSelect 
         options={options2} 
         style={{width:'200px'}} 
         disabled={true} 
         defaultValue='jack'
      />
   </IrsCol>
   <IrsCol span="8">
      <IrsSelect 
         types = {true}
         optionChild={options3} 
         style={{width:'200px'}} 
         defaultValue='jack'
      />
   </IrsCol>
</IrsRow>
 
```
#### 展开后可对选项进行搜索
```jsx
const options = [{
   value:1,
   text:'jack'
},{
   value:2,
   text:'tom'
},{
   value:3,
   text:'rice'
},{
   value:4,
   text:'apple'
}]
;<IrsSelect 
   options={options} 
   style={{width:'200px'}} 
   defaultValue='apple'
   showSearch={true}
   placeholder = 'Select a person'
   filterOption={(input, option) => option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0}
/>
```





