### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.14 | V0.0.1 | Amber | 新增Spin组件

<br><br/>
### 2.安装方式
<code>
npm install irs-spin
</code>

<br><br/><br><br/>
### 3. 调用方式


#### 自定义描述文案，延迟显示 loading 效果，加载中
```jsx
class IrsSpinDemo extends React.Component {
  constructor() {
    super()
    this.state = {
        tip:'加载中。。。',
        delay:1000,
        spinning:true
        
    }
  }

render() {
    return (
        <IrsSpin
            tip = {this.state.tip}
            spinning={this.state.spinning}
            delay={this.state.delay}
        />     
    )
  }
}
;<IrsSpinDemo />
```

#### 自定义描述文案，不延迟显示 loading 效果，加载中
```jsx
class IrsSpinDemo extends React.Component {
  constructor() {
    super()
    this.state = {
        tip:'加载啦。。。',
        delay:0,
        spinning:true
        
    }
  }

render() {
    return (
        <IrsSpin
            tip = {this.state.tip}
            spinning={this.state.spinning}
            delay={this.state.delay}
        />     
    )
  }
}
;<IrsSpinDemo />
```

#### 不在加载中状态
```jsx
class IrsSpinDemo extends React.Component {
  constructor() {
    super()
    this.state = {
        tip:'加载啦。。。',
        delay:0,
        spinning:false
        
    }
  }

render() {
    return (
        <IrsSpin
            tip = {this.state.tip}
            spinning={this.state.spinning}
            delay={this.state.delay}
        />     
    )
  }
}
;<IrsSpinDemo />
```

