/**
 * The only true spin.
 * @date 2018.12.14
 * @version 0.0.1
 * @author Amber.Yang
 */
import * as React from 'react';
import * as module from './module';
import { Spin } from "antd";
import { others } from 'fit-transmit-transparently';
import '../src/style.less'

class IrsSpin extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        tip:'Loading...',
        delay:500,
        spinning:false
    }
    render() {
        others(IrsSpin.defaultProps, this.props);
        return (  
            <div className="spin-wrapper">
                <Spin
                    tip={this.props.tip}
                    delay={this.props.delay} 
                    spinning={this.props.spinning}              
                />    
            </div>             
        )
    }
} 

export default IrsSpin;
