### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.08 | V0.0.1 | Reci | 新增tag组件

<br><br/>
### 2.安装方式
<code>
npm install irs-tag
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 可选择   可通过 CheckableTag 实现类似 Checkbox 的效果，点击切换选中效果。
```jsx
class IrsTagDemo extends React.Component {
  constructor() {   
    super()
    this.state={
        checkProps: {
          checked:false,
          onChange:this.onChange.bind(this, 0)
        },
        checkProps1: {
          checked:true,
          onChange:this.onChange.bind(this, 1)
        },
        checkProps2: {
          checked:false,
          onChange:this.onChange.bind(this, 2)
        },
    }    
  }

  onChange(index, checked){
    if (index === 0) {
      const checkProps = this.state.checkProps
      checkProps.checked = checked
        this.setState({
            checkProps
        })
    } else if (index === 1) {
      const checkProps1 = this.state.checkProps1
      checkProps1.checked = checked
      this.setState({
          checkProps1
      })
    } else {
      const checkProps2 = this.state.checkProps2
      checkProps2.checked = checked
      this.setState({
          checkProps2
      })
    } 
  }
  render() {
    return (
          <div>
          <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
              <p>
              可选择: 可通过 CheckableTag 实现类似 Checkbox 的效果，点击切换选中效果。<br />
              type:为两种类型，为type="check"时是CheckableTag，默认值是tag
              </p>
              <IrsCol  span={2}>
                <IrsTag type="check" checkProps={this.state.checkProps}>123</IrsTag>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag type="check" checkProps={this.state.checkProps1}>123</IrsTag>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag type="check" checkProps={this.state.checkProps2}>123</IrsTag>
              </IrsCol>         
          </IrsRow>
          <br /> 
       </div>  
      )
    }
  }
;<IrsTagDemo />
```
#### 多彩标签
```jsx
          
        <div>
          <IrsRow gutter={24} >           
             <p>多彩标签:添加了多种预设色彩的标签样式，用作不同场景使用。如果预设值不能满足你的需求，可以设置为具体的色值。</p>
              <p>Presets:</p>
              <IrsCol  span={2}>
                <IrsTag text={'magenta'} color="magenta"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'red'} color="red"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'volcano'} color="volcano"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'orange'} color="orange"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'gold'} color="gold"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'lime'} color="lime"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'green'} color="green"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'cyan'} color="cyan"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'blue'} color="blue"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'geekblue'} color="geekblue"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'purple'} color="purple"/>
              </IrsCol>      
          </IrsRow>
           <br />
          <IrsRow gutter={24} >           
             <p>Custom:</p>
              <IrsCol  span={2}>
                <IrsTag text={'#f50'} color="#f50"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'#2db7f5'} color="#2db7f5"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'#87d068'} color="#87d068"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'#108ee9'} color="#108ee9"/>
              </IrsCol>           
          </IrsRow>
            <br />
          <IrsRow gutter={24} >           
             <p>文字:</p>
              <IrsCol  span={2}>
                <IrsTag text={'标签一'} color="#108ee9"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'标签二'} color="#f50"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'标签三'} color="#2db7f5"/>
              </IrsCol>
              <IrsCol  span={2}>
                <IrsTag text={'标签四'} color="#108ee9"/>
              </IrsCol>           
          </IrsRow>
       </div>

```
#### 动态添加和删除
```jsx
class IrsTagDemo extends React.Component {
  constructor() {
    super()
    this.state={
        tags: ['Tag 1'],
        inputVisible: false,
        inputValue: '',
        tagArr: ["Tag 1", "Tag 2", "Tag 3", "Tag 4", "Tag 5", "Tag 6"]

    }    
    this.childRend = this.childRend.bind(this)
    this.showInput = this.showInput.bind(this)
    this.handleInputChange = this.handleInputChange.bind(this)
    this.handleInputConfirm = this.handleInputConfirm.bind(this)
    this.saveInputRef = this.saveInputRef.bind(this)
    this.onClose = this.onClose.bind(this)
  }

  log(e) {
    console.table(e);
  }

  childRend() {
    return(
      <span>+ New Tag</span>
    )
  }

  showInput() {
    this.setState({ inputVisible: true });
    // this.input.focus()
  }

  handleInputChange (e) {
    this.setState({ inputValue: e.target.value });
  }

   handleInputConfirm() {
    const state = this.state;
    const inputValue = state.inputValue;
    let tags = state.tags;
    if (inputValue && tags.indexOf(inputValue) === -1) {
      tags = [...tags, inputValue];
    }
    console.log(tags);
    this.setState({
      tags,
      inputVisible: false,
      inputValue: '',
    });
  }

  saveInputRef(input) {
    this.input = input
  } 
  
  onClose(e, id, text) {
    let tagArr = this.state.tagArr
    tagArr.splice(tagArr.indexOf(text), 1)
    this.setState({
      tagArr: tagArr
    })
  }

  render() {
    return (    
          <div>
          <IrsRow gutter={24} >            
             <p>可以通过添加 closable 变为可关闭标签。</p>
                <IrsTag text={'Tag 1'}/>
                <IrsTag text={'Tag 2'} closable={true} onClose={this.log} />
                <IrsTag text={'Tag 3'} closable={true} onClose={this.log} />
                <IrsTag text={'Tag 4'} closable={true} onClose={this.log} />
                <IrsTag text={'Tag 5'}/>
          </IrsRow>
         <br />
          <IrsRow gutter={24} >           
             <p>新增:</p>
              <IrsCol  span={24}>
                {
                  this.state.tags.map((item, index) =>{
                    return (
                      <IrsTag text={item}/>
                    )
                  })
                }

                {this.state.inputVisible && (
                  <IrsInput
                    ref={this.saveInputRef}
                    type="text"
                    size="small"
                    style={{ width: '78', display:'inline-block' }}
                    value={this.state.inputValue}
                    onChange={this.handleInputChange}
                    onBlur={this.handleInputConfirm}
                    onPressEnter={this.handleInputConfirm}
                  />
                )}
                {!this.state.inputVisible && (
                  <IrsTag
                    onClick={this.showInput}
                    style={{ background: '#fff', borderStyle: 'dashed' }}
                  >{this.childRend}</IrsTag>)
                }
              </IrsCol>     
              <IrsCol>
                {
                  this.state.tagArr.map((item) => {
                    return(
                      <IrsTag text={item} closable={true} onClose={this.onClose.bind(this)}/>
                    )                   
                  })
                }
              </IrsCol>         
          </IrsRow>
       </div>
      )
    }
  }
;<IrsTagDemo />
```

