### 1.变更记录
变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.1 | V0.0.1 | Danae | 新增Col组件

<br><br/>
### 2.安装方式
<code>
npm install irs-col
</code>

<br><br/><br><br/>
### 3. 调用方式

```jsx

const styles = {
    background: 'linear-gradient(to right,  #19AA8D, #50caa4)', 
    padding: '5px', 
    color: '#fff', 
    textAlign: 'center',
    marginBottom: '10px'
};
<div className="App">
    左右偏移
    <IrsRow>
        <IrsCol style={styles} span={8}>Col-8</IrsCol>
        <IrsCol style={styles} span={8} offset={8} >Col-8 Offset-8</IrsCol>
    </IrsRow>
    栅格排序
    <IrsRow>
        <IrsCol style={styles} span={18} push={6}>Col-18 Push-6</IrsCol>
        <IrsCol style={styles} span={6} pull={18}>Col-6 Pull-18</IrsCol>
    </IrsRow>
    Flex排序
    <IrsRow type="flex">
        <IrsCol style={styles} span={8} order={3}>1 Col-order-3</IrsCol>
        <IrsCol style={styles} span={8} order={2}>2 Col-order-2</IrsCol>
        <IrsCol style={styles} span={8} order={1}>3 Col-order-1</IrsCol>
    </IrsRow>
    响应式布局
    <IrsRow>
        <IrsCol style={styles} xs={2} sm={4} md={6} lg={8} xl={10}>Col</IrsCol>
        <IrsCol style={styles} xs={20} sm={16} md={12} lg={8} xl={4}>Col</IrsCol>
        <IrsCol style={styles} xs={2} sm={4} md={6} lg={8} xl={10}>Col</IrsCol>
    </IrsRow>
</div>
 
```


