/**
 * The only true button.
 * @date 2018.12.1
 * @version 0.0.1
 * @author Danae.zhang
 */
import * as React from 'react';
import * as module from './module';
import { Row } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsRow extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        align: 'top',
        gutter: 0,
        justify: 'start'
    }
    constructor(props: module.IPropsInterface) {
        super(props);
    }
    render() {
        others(IrsRow.defaultProps, this.props);
        return (
            <Row
                style={this.props.style}
                className={this.props.className}
                gutter={this.props.gutter}
                justify={this.props.justify}
                type={this.props.type}
                align={this.props.align}
            >{this.props.children}</Row>
        )
    }
}

export default IrsRow;
