
export interface IPropsInterface {
    /** 审批人组件类型 */
    type?: 'basic' | 'result',

    /** 整个审批人背景色 */
    backgroundColor: string,

    /** 主题色 */
    theme: string,

    /** 字体大小 */
    fontSize?:string,

    /** 设置组件的ID */
    approverId?: string,

    /** 组件传入的展示数据 */
    approverMap: any,

    /** 是否要展示箭头 */
    approverArrow?: boolean,

    /** 审批通过图片地址 */
    ImgSuccessUrl: string,

    /** 审批未通过图片地址 */
    ImgFailUrl: string,

    /** 未审批图片地址 */
    ImgWaitUrl: string,

    /** 当前审批状态 */
    applicationStatus?: 'success' | 'fail' | 'wait',

    /** 点击新增按钮的方法 */
    addApprove: () => void
}