### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.8 | V0.0.1 | Campbell | 新增Department-Selector组件

<br><br/>
### 2.安装方式
<code>
npm install irs-department-selector
</code>

<br><br/><br><br/>
### 3. 调用方式

```jsx
class Demo extends React.Component {
    constructor() {
        super()
        this.state = {
            departmentList:[],
        }
        this.onChange = this.onChange.bind(this); 
        this.log = this.log.bind(this); 
    }

    onChange(data,id) {
        const list = data;
        let departmentList = [];
        list.map((value,index) => {
            departmentList.push(value)
        })
        this.setState({
            departmentList,
            value:id
        })
    }
    log(e,data) {
        const departmentList = this.state.departmentList;
        const departmentListA = [];
        const idList = this.state.value;
        const idListA = [];
        departmentList.map((value) => {
            if(data != value.key) {
                departmentListA.push(value);
            }
        })
        idList.map((value) => {
            if(data != value) {
                idListA.push(value);
            }
        })
        this.setState({
            departmentList:departmentListA,
            value:idListA
        })
    }
    render() {
        const {departmentList,value} = this.state
        return (
            <div className="App">
                {departmentList.map((value,index) => (
                // <div key={index}
                // style={{display:'inline-block',
                // height:'26px',lineHeight:'26px',
                // backgroundColor:'#19aa8d',textAlign:'center',padding:'0 20px',borderRadius:'3px',
                // marginLeft:'10px',marginBottom:'5px'}}>{value.staffName}</div>
                <IrsTag text={value.title} closable={true} onClose={this.log} key={index} id={value.key}/>
                ))}
                <IrsDepartmentSelector value={value}
                onChange={this.onChange}/>
            </div>
        )
    }
};
<Demo/>
```