### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.8 | V0.0.1 | Campbell | 新增Staff-Selector组件

<br><br/>
### 2.安装方式
<code>
npm install irs-staff-selector
</code>

<br><br/><br><br/>
### 3. 调用方式

```jsx
//测试数据源mock传入组件
class ModalExample extends React.Component {
  constructor() {
    super()
    this.state = {
        selectedId:[],
        staffList:[],
    }
    this.returnData = this.returnData.bind(this)
    this.log = this.log.bind(this)
  }


    returnData(data,list) {
        const idList = data;
        const staffList = list;
        console.log(data)
        console.log(list)
        this.setState({
            staffList,
            selectedId:idList,
        })
    }
    log (e,data) {
        const id = data
        const staffList = this.state.staffList;
        const staffListA = [];
        const selectedId = this.state.selectedId;
        const selectedIdA = [];
        staffList.map((value) => {
            if(value.staffId !== id) {
                staffListA.push(value);
            }
        })
        selectedId.map((value) => {
            if(value !== id) {
                selectedIdA.push(value);
            }
        })
        console.log(staffListA);
        this.setState({
            staffList:staffListA,
            selectedId:selectedIdA
        })
    }



  render() {
      const {staffList,selectedId,showStaffList} = this.state
      console.log(staffList);
    return ( 
      <div className="App" >
        <div style={{width:'500px',height:'100px'}}>
            {staffList.map((value,index) => (
                // <div key={index}
                // style={{display:'inline-block',
                // height:'26px',lineHeight:'26px',
                // backgroundColor:'#19aa8d',textAlign:'center',padding:'0 20px',borderRadius:'3px',
                // marginLeft:'10px',marginBottom:'5px'}}>{value.staffName}</div>
                <IrsTag type="tag" text={value.staffName} closable={true} onClose={this.log} id={value.staffId}/>
            ))}
        </div>
        <IrsStaffSelector 
        returnData={this.returnData}  selectedId={selectedId} selectedList={staffList} />
    </div>
    )
  }
};
<ModalExample />