/**
 * The only true alert.
 * @date 2018.12.08
 * @version 0.0.1
 * @author Reci.Lu
 */
import * as React from 'react';
import * as module from './module';
import { Alert } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsAlert extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        type: "info",
        showIcon: false,
        closable: false
    }
    constructor(props: module.IPropsInterface) {
        super(props);
    }

    render() {
        others(IrsAlert.defaultProps, this.props);
        return (
            <Alert
                {...this.props}
                message={this.props.message}
                type={this.props.type}
                showIcon={this.props.showIcon}
                description={this.props.description}
                closeText={this.props.closeText}
                closable={this.props.closable}
                onClose={this.props.onClose}
                className={this.props.className}
                style={this.props.style}
            />
        )
    }
}

export default IrsAlert;
