/**
 * The only true avatar.
 * @date 2018.12.15
 * @version 0.0.1
 * @author Reci.Lu
 */
import * as React from 'react';
import * as module from './module';
import { Avatar } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsAvatar extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        shape: 'circle',
        size: 'default'
    }
    constructor(props: module.IPropsInterface) {
        super(props);

    }

    render() {
        others(IrsAvatar.defaultProps, this.props);
        return (
            <Avatar
                {...this.props}
                size={this.props.size}
                shape={this.props.shape}
                icon={this.props.icon}
                src={this.props.src}
                style={this.props.style}
                alt={this.props.alt}
                className={this.props.className}
            >
                {
                    this.props.children
                }
            </Avatar>

        )
    }
}

export default IrsAvatar;
