### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.15 | V0.0.1 | Reci | 新增avatar组件

<br><br/>
### 2.安装方式
<code>
npm install irs-avatar
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 基本
#### 头像有三种尺寸，两种形状可选。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={6}>
                <IrsAvatar size={64} icon="user"/>
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar size="large" icon="user"/>
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar icon="user"/>
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar size="small" icon="user"/>
            </IrsCol> 
        </IrsRow>
        <br />
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={6}>
                <IrsAvatar shape="square" size={64} icon="user"/>
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar shape="square" size="large" icon="user"/>
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar shape="square" icon="user" />
            </IrsCol> 
            <IrsCol  span={6}>
                <IrsAvatar shape="square" size="small" icon="user"/>
            </IrsCol> 
        </IrsRow>
  </div>
```


#### 类型
#### 支持三种类型：图片、Icon 以及字符，其中 Icon 和字符型可以自定义图标颜色及背景色。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={4}>
                <IrsAvatar icon="user"/>
            </IrsCol> 
            <IrsCol  span={4}>
                <IrsAvatar>U</IrsAvatar>
            </IrsCol> 
            <IrsCol  span={4}>
                <IrsAvatar>USER</IrsAvatar>
            </IrsCol>
             <IrsCol  span={4}>
                <IrsAvatar src="https://zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png" />
            </IrsCol>
            <IrsCol  span={4}>
                <IrsAvatar style={{ color: '#f56a00', backgroundColor: '#fde3cf' }}>U</IrsAvatar>
            </IrsCol>
            <IrsCol  span={4}>
                <IrsAvatar style={{ backgroundColor: '#87d068' }} icon="user" />
            </IrsCol> 
        </IrsRow>
  </div>
```

#### 带徽标的头像
#### 通常用于消息提示。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={4}>
               <IrsBadge count={1}><IrsAvatar shape="square" icon="user" /></IrsBadge>
            </IrsCol> 
            <IrsCol  span={4}>
                <IrsBadge dot={true}><IrsAvatar shape="square" icon="user" /></IrsBadge>
            </IrsCol> 
        </IrsRow>
  </div>
```