### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.15 | V0.0.1 | Reci | 新增badge组件

<br><br/>
### 2.安装方式
<code>
npm install irs-badge
</code>

<br><br/><br><br/>
### 3. 调用方式

#### 基本
#### 不包裹任何元素即是独立使用，可自定样式展现。在右上角的 badge 则限定为红色。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={2}>
                <IrsBadge count={25} />
            </IrsCol>
            <IrsCol  span={2}>
                <IrsBadge count={4} style={{ backgroundColor: '#fff', color: '#999', boxShadow: '0 0 0 1px #d9d9d9 inset' }}/>
            </IrsCol>
             <IrsCol  span={2}>
                <IrsBadge count={109} style={{ backgroundColor: '#52c41a' }}/>
            </IrsCol>   
        </IrsRow>
  </div>
```

#### 封顶数字
#### 超过 overflowCount 的会显示为 ${overflowCount}+，默认的 overflowCount 为 99。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={2}>
                <IrsBadge count={99}>
                    <IrsButton style={{width:'40px',height:'40px',background:'#eee'}} />
                </IrsBadge>
            </IrsCol>
            <IrsCol  span={2}>
                <IrsBadge count={100}>
                    <IrsButton style={{width:'40px',height:'40px',background:'#eee'}} />
                </IrsBadge>
            </IrsCol>
            <IrsCol  span={2}>
                <IrsBadge count={99} overflowCount={10}>
                    <IrsButton style={{width:'40px',height:'40px',background:'#eee'}} />
                </IrsBadge>
            </IrsCol>
            <IrsCol  span={2}>
                <IrsBadge count={1000} overflowCount={999}>
                    <IrsButton style={{width:'40px',height:'40px',background:'#eee'}} />
                </IrsBadge>
            </IrsCol> 
        </IrsRow>
  </div>
```

#### 状态点
#### 用于表示状态的小圆点。
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={24}>
                <IrsBadge  status="success" />
                <IrsBadge  status="error" />
                <IrsBadge  status="default" />
                <IrsBadge  status="processing" />
                <IrsBadge  status="warning" />
            </IrsCol>
        </IrsRow>
        <IrsCol  span={24}>
            <IrsBadge  status="success" text="Success" />
        </IrsCol>
        <IrsCol  span={24}>
            <IrsBadge  status="error" text="Error" />
        </IrsCol>
        <IrsCol  span={24}>
            <IrsBadge  status="default" text="Default"/>
        </IrsCol>
        <IrsCol  span={24}>
            <IrsBadge  status="processing" text="processing"/>
        </IrsCol>
        <IrsCol  span={24}>
            <IrsBadge  status="warning" text="warning"/>
        </IrsCol>
  </div>
```

#### 自定义标题
#### 设置鼠标放在状态点上时显示的文字
```jsx
;<div className="App">
        <IrsRow gutter={24} style={{margin: '0 0 10px 0'}}>
            <IrsCol  span={24}>
                <IrsBadge  count={5} title="Custom hover text" >
                     <IrsButton style={{width:'40px',height:'40px',background:'#eee'}} />
                </IrsBadge>
             </IrsCol>
        </IrsRow>
  </div>
```

