/**
 * The only true button.
 * @date 2018.12.01
 * @version 0.0.1
 * @author Rebecca.Zhang
 */
import * as React from 'react';
import * as module from './module';
import { Breadcrumb  } from 'antd';

class IrsBreadcrumb extends React.Component<module.IPropsInterface, any> {


    constructor(props: module.IPropsInterface) {
        super(props);
    }

    render() {
        return (
                <Breadcrumb >
                    {this.props.paths.map((value:any) => (
                        <Breadcrumb.Item><a href={value.link}>{value.icon}{value.name}</a></Breadcrumb.Item>
                    ))}
                </Breadcrumb>
            
        )
    }
}

export default IrsBreadcrumb;
