### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.01 | V0.0.1 | Reci | 新增button组件

<br><br/>
### 2.安装方式
<code>
npm install irs-button
</code>

<br><br/><br><br/>
### 3. 调用方式


#### 按钮尺寸: 
#### 按钮有大、中、小三种尺寸。通过设置 sizeOwn 为 styleLarge styleSmall 分别把按钮设为大、小尺寸。若不设置 size，则尺寸为中styleNormal。
```jsx
const buttonClickHandle = () => {
  IrsMessage.messageFun('info','This is a message of info')
}
//测试数据源mock传入组件
;<div className="App">
      <IrsRow gutter={24} > 
          <IrsCol  span={6}>
              <IrsButton type="primary" sizeOwn="styleNormal"   onClick={buttonClickHandle}>danger</IrsButton>
          </IrsCol>           
          <IrsCol  span={6}>
              <IrsButton type="default" sizeOwn="styleNormal" onClick={buttonClickHandle}>default</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
              <IrsButton type="dashed" sizeOwn="styleNormal"  onClick={buttonClickHandle}>dashed</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
            <IrsButton type="danger" sizeOwn="styleNormal"  onClick={buttonClickHandle}>danger</IrsButton>
          </IrsCol>   
      </IrsRow>
       <br />
       <IrsRow gutter={24} > 
          <IrsCol  span={6}>
               <IrsButton type="primary" sizeOwn="styleSmall"  onClick={buttonClickHandle}>primary</IrsButton>
          </IrsCol>           
          <IrsCol  span={6}>
              <IrsButton type="default" sizeOwn="styleSmall"  onClick={buttonClickHandle}>default</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
             <IrsButton type="dashed" sizeOwn="styleSmall"  onClick={buttonClickHandle}>dashed</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
            <IrsButton type="danger" sizeOwn="styleSmall" onClick={buttonClickHandle}>danger</IrsButton>
          </IrsCol>   
      </IrsRow>
       <br />
       <IrsRow gutter={24} > 
          <IrsCol  span={6}>
               <IrsButton type="primary" sizeOwn="styleLarge"  onClick={buttonClickHandle}>primary</IrsButton>
          </IrsCol>           
          <IrsCol  span={6}>
              <IrsButton type="default" sizeOwn="styleLarge"  onClick={buttonClickHandle}>default</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
            <IrsButton type="dashed" sizeOwn="styleLarge"  onClick={buttonClickHandle}>dashed</IrsButton>
          </IrsCol>
          <IrsCol  span={6}>
           <IrsButton type="danger" sizeOwn="styleLarge"  onClick={buttonClickHandle}>danger</IrsButton>
          </IrsCol>   
      </IrsRow>
  </div>
```

#### 不可用状态: 
#### 添加 disabled 属性即可让按钮处于不可用状态
```jsx
const buttonClickHandle = () => {
  alert("测试demo点击事件")
}

;<div className="App">
   <IrsButton type="primary" sizeOwn="styleNormal"  disabled={true}  onClick={buttonClickHandle}>primary</IrsButton>
  </div>
```

#### 加载中状态: 
#### 添加 loading 属性即可让按钮处于加载状态
```jsx

;<div className="App">
    <IrsButton type="primary" sizeOwn="styleNormal"  loading={true} > Loading</IrsButton>
  </div>
```


