import * as React from "react";
import { IPropsInterface } from "./src/module";
import * as moment from "moment";
export declare type CalendarMode = 'month' | 'year';

export default class IrsCalendar extends React.Component<IPropsInterface, any> {
    constructor(props: IPropsInterface);
    componentDidMount(): void;
    handleOpenChange: (date?: moment.Moment, mode?: CalendarMode) => void;
    handleDateCellRender: (date: moment.Moment) => React.ReactNode;
    handleMonthCellRender: (date: moment.Moment) => React.ReactNode;
    handleOnSelect: (date?: moment.Moment) => void;
    handleOnChange: (date?: moment.Moment) => void;
    render(): JSX.Element;
}