
// import { AbstractCheckboxProps, CheckboxChangeEvent } from 'antd/lib/checkbox/Checkbox';

export interface IPropsInterface {
    
    CheckboxProps?: ICheckboxProps
    
    CheckboxChangeEventTarget?: ICheckboxChangeEventTarget
    /** 自动获取焦点 */
    // autoFocus?:boolean

    /** 指定当前是否选中 */
    checked?:boolean

    /** 初始是否选中 */
    defaultChecked?:boolean

    /** 失效状态 */
    disabled?:boolean

    /** 在实现全选效果时设置 indeterminate 状态，只负责样式控制 */
    // indeterminate?:boolean

    /** CheckBox显示文案 */
    checkText?: string,
   
    /** 是否为组合CheckBox */
    isCompose?: boolean,

    /** 组合CheckBox项目 */
    composeOpts?: string[],

    /** 组合CheckBox选中的项目 */
    checkedOpts?: string[],

    /** 全选是否生效 */
    checkedCompose?: boolean,


    /** Change 事件的 handler */
    onChange?: (e: any) => void;

    /** CheckBoxGroupChange 事件的 handler */
    onCheckBoxGroupChange?: (e: any) => void;
}   

export interface ICheckboxProps {
    indeterminate?: boolean;
}

export interface ICheckboxChangeEventTarget {
    checked: boolean;
}
