### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.08 | V0.0.1 | Reci | 新增message组件

<br><br/>
### 2.安装方式
<code>
npm install irs-message
</code>

<br><br/><br><br/>
### 3. 调用方式


#### 提示类型
#### info：普通提示，success：成功提示、error：失败提示、warning：警告提示。
```jsx
const IrsMessage = require('./message.tsx');
const messageInfo = () => {
 IrsMessage.default.messageFun('info','This is a message of info')
}
const messageSuccess = () => {
 IrsMessage.default.messageFun('success','This is a message of success')
}
const messageError = () => {
 IrsMessage.default.messageFun('error','This is a message of error')
}
const messageWarning = () => {
 IrsMessage.default.messageFun('warning','This is a message of warning')
}

;<div className="App">
        <br /> 
          <IrsRow gutter={24} > 
              <IrsCol  span={6}>
                 <IrsButton  onClick={messageInfo}>info</IrsButton>
              </IrsCol>           
             <IrsCol  span={6}>
                 <IrsButton  onClick={messageSuccess}>success</IrsButton>
              </IrsCol>
              <IrsCol  span={6}>
                 <IrsButton  onClick={messageError}>error</IrsButton>
              </IrsCol>
              <IrsCol  span={6}>
                 <IrsButton  onClick={messageWarning }>warning</IrsButton>
              </IrsCol>   
          </IrsRow>
  </div>
```

#### 加载中
#### 进行全局 loading
```jsx
const IrsMessage = require('./message.tsx');
const success = () => {
const hide = IrsMessage.default.messageFun('loading','Action in progress..');
  setTimeout(hide, 2500);
}
;<div className="App">
        <br /> 
          <IrsRow gutter={24} > 
              <IrsCol  span={24}>
                 <IrsButton  onClick={success}>loading</IrsButton>
              </IrsCol>             
          </IrsRow>
   
  
  </div>
```

#### duration:自动关闭的延时，单位秒。设为 0 时不自动关闭。 number类型,默认值3秒
```jsx
const IrsMessage = require('./message.tsx');
const success = () => {
 IrsMessage.default.messageFun('info','10秒之后关闭',10)
}
;<div className="App">
        <br /> 
          <IrsRow gutter={24} > 
              <IrsCol  span={24}>
                 <IrsButton   onClick={success}>info</IrsButton>
              </IrsCol>             
          </IrsRow>
   
  
  </div>
```

