### 1.变更记录

变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.15 | V0.0.1 | Jita | 新增popover组件

<br><br/>
### 2.安装方式
<code>
npm install irs-popover
</code>

<br><br/><br><br/>
### 3. 调用方式
#### 基础组件格式
```jsx
  const content = (
    <div>
      <p>Content</p>
      <p>Content</p>
    </div>
  );

  <div>
    <IrsPopover
      content={content} 
      title="Title"
    > 
      <button>Hover me</button>
    </IrsPopover>
  </div>
```
#### 设置了 arrowPointAtCenter后，箭头将指向目标元素的中心。
```jsx
  const content = (
    <div>
      <p>Content</p>
      <p>Content</p>
    </div>
  );
  <>
    <div>
      <IrsPopover
        content={content} 
        title="Title"
        placement="topLeft"
      > 
        <button>Align edge / 边缘对齐</button>
      </IrsPopover>
    </div>
    <br/>
    <div>
      <IrsPopover
        content={content} 
        title="Title"
        placement="topLeft"
        arrowPointAtCenter
      > 
        <button>Arrow points to center / 箭头指向中心</button>
      </IrsPopover>
    </div>
  </>
```




