// import * as React from 'react';
// import { AbstractCheckboxGroupProps } from 'antd/lib/checkbox/Group'
// import { AbstractCheckboxProps } from 'antd/lib/checkbox/Checkbox'
// import { RadioGroupProps, RadioChangeEvent } from 'antd/lib/radio/interface'
export declare type RadioGroupButtonStyle = 'outline' | 'solid';

export interface IRadioInterface {

    /** RadioGroup默认选中的值 */
    defaultValue?: any;

    /** 用于设置当前选中的值 */
    value?: any;

    /** 是否禁用 */
    disabled?: boolean;

    /** 选项变化时的回调函数 */
    onChange?: (e: any) => void;

    /** onRaioBoxGroupChange 事件的 handler */
    // onRaioBoxGroupChange?: (e: RadioChangeEvent) => void;

    /** 是否为组合RadioGroup */
    isCompose?: boolean,

    /** 组合RadioGroup项目 */
    composeOpts?: string[],

    /** radio显示文案 */
    checkText?: string,

    /** 大小，只对按钮样式生效 */
    size?: 'large' | 'default' | 'small';

    /** RadioGroup 下所有 input[type="radio"] 的 name 属性 */
    name?: string;

    // children?: React.ReactNode;
    // id?: string;

    /** RadioButton 的风格样式，目前有描边和填色两种风格 */
    buttonStyle?: RadioGroupButtonStyle;
    
}