/**
 * The only true steps.
 * @date 2018.12.08
 * @version 0.0.1
 * @author Amber.Yang
 */
import * as React from 'react';
import * as module from './module';
import { Steps } from "antd";
import { others } from 'fit-transmit-transparently';

const Step = Steps.Step;

class IrsSteps extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        current:0,
        status:"process" 
    }
    render() {
        others(IrsSteps.defaultProps, this.props);
        return (   
            <Steps
                current={this.props.current}
                status={this.props.status}               
            >
                {    
                    this.props.stepDataArray.map((item:any, index:any) => {
                        return(
                            <Step key={1} title={item.title} description={item.description } status = {item.status ? item.status : this.props.status} />
                        )
                    })
                }
            </Steps>
        )
    }
} 

export default IrsSteps;
