### 1.变更记录
变更时间 | 变更版本 | 变更人 | 变更内容
:-: | :-: | :-: | :-: |
2018.12.01 | V0.0.1 | Rebecca | 新增switch组件

<br><br/>
### 2.安装方式
<code>s
npm install irs-switch
</code>

<br><br/><br><br/>
### 3. 调用方式

#### switch开关，包括 default、small两种默认尺寸
```jsx
    <IrsRow type="flex" gutter="6">
    <IrsCol span="12">
        <IrsSwitch size="small" lableText="开关："/>
    </IrsCol>
    <IrsCol span="12">
        <IrsSwitch size="default" />
    </IrsCol>

</IrsRow>
```

#### switch禁用状态
```jsx
<IrsRow type="flex" gutter="6">
    <IrsCol span="6">
        <IrsSwitch disabled={true} defaultChecked/>
    </IrsCol>
</IrsRow>
```


#### 加载中的开关
```jsx
<IrsRow type="flex" gutter="6">
    <IrsCol span="6">
        <IrsSwitch loading={true} defaultChecked/>
    </IrsCol>
</IrsRow>
```

#### switch非选中时的内容和选中时的内容
```jsx
    const Icon = require('../../../../node_modules/antd/lib/icon');
    <IrsRow type="flex" gutter="6">
    <IrsCol span="12">
        <IrsSwitch checkedChildren="开" unCheckedChildren="关"/>
    </IrsCol>
    <IrsCol span="12">
        <IrsSwitch checkedChildren={<Icon type="check" />} unCheckedChildren={<Icon type="close" />}/>
    </IrsCol>

</IrsRow>
```


