import { TagProps } from 'antd/lib/tag';

export interface ICheckProps {
    checked?: boolean,
    onChange?: (checked: boolean) => void;
}

export interface IPropsInterface extends TagProps {
    /** check  tag  默认tag */
    type?: 'check' | 'tag',

    /** 中间的文本 */
    text?: string,

    checkProps?: ICheckProps,

    /** className */
    className?: string;

    /** 标签色 */
    color?: string;

    /** 标签是否可以关闭 */
    closable?: boolean;

    /** 是否显示标签 */
    visible?: boolean;

    /** style */
    style?: React.CSSProperties;

    /** id */
    id?: string;

    /** 关闭的回调 */
    onClose?: (e:any, id:any, textProps:any) => void;

}