/**
 * The only true col.
 * @date 2018.12.1
 * @version 0.0.1
 * @author Danae.Zhang
 */
import * as React from 'react';
import * as module from './module';
import { Col } from 'antd';
import { others } from 'fit-transmit-transparently';

class IrsCol extends React.Component<module.IPropsInterface, any> {
    static defaultProps = {
        offset: 0,
        order: 0,
        pull: 0,
        push: 0
    }
    constructor(props: module.IPropsInterface) {
        super(props);
    }
    render() {
        others(IrsCol.defaultProps, this.props);
        return (
            <Col
                id={this.props.id}
                className={this.props.className}
                style={this.props.style}
                offset={this.props.offset}
                order={this.props.order}
                pull={this.props.pull}
                push={this.props.push}
                span={this.props.span}
                xs={this.props.xs}
                sm={this.props.sm}
                md={this.props.md}
                lg={this.props.lg}
                xl={this.props.xl}
                xxl={this.props.xxl}
            >{this.props.children}</Col>
        )
    }
}
export default IrsCol;
